## efitools 1.4.2+git20140118

=== Makefile ===
EFIFILES = HelloWorld.efi LockDown.efi Loader.efi ReadVars.efi UpdateVars.efi \
	KeyTool.efi HashTool.efi PreLoader.efi SetNull.efi
BINARIES = cert-to-efi-sig-list sig-list-to-certs sign-efi-sig-list \
	hash-to-efi-sig-list efi-readvar efi-updatevar

export TOPDIR	:= $(shell pwd)/

include Make.rules

EFISIGNED = $(patsubst %.efi,%-signed.efi,$(EFIFILES))

all: $(EFISIGNED) $(BINARIES) $(MANPAGES) noPK.auth

install: all
	$(INSTALL) -m 755 -d $(MANDIR)
	$(INSTALL) -m 644 $(MANPAGES) $(MANDIR)
	$(INSTALL) -m 755 -d $(EFIDIR)
	$(INSTALL) -m 755 $(EFIFILES) $(EFIDIR)
	$(INSTALL) -m 755 -d $(BINDIR)
	$(INSTALL) -m 755 $(BINARIES) $(BINDIR)
	$(INSTALL) -m 755 mkusb.sh $(BINDIR)/efitool-mkusb
	$(INSTALL) -m 755 -d $(DOCDIR)
	$(INSTALL) -m 644 README COPYING $(DOCDIR)

lib/lib.a lib/lib-efi.a: FORCE
	$(MAKE) -C lib $(notdir $@)

lib/asn1/libasn1.a lib/asn1/libasn1-efi.a: FORCE
	$(MAKE) -C lib/asn1 $(notdir $@)

.SUFFIXES: .crt

PK.crt KEK.crt DB.crt:
	openssl req -new -x509 -newkey rsa:2048 -subj "/CN=$*/" -keyout $*.key -out $@ -days 3650 -nodes -sha256

.KEEP: PK.crt KEK.crt DB.crt PK.key KEK.key DB.key PK.esl DB.esl KEK.esl \
	$(EFIFILES)

LockDown.o: PK.h KEK.h DB.h
PreLoader.o: hashlist.h

PK.h: PK.auth

KEK.h: KEK.auth

DB.h: DB.auth

noPK.esl:
	> noPK.esl

noPK.auth: noPK.esl PK.crt sign-efi-sig-list
	./sign-efi-sig-list -c PK.crt -k PK.key PK $< $@

PK.auth: PK.esl PK.crt sign-efi-sig-list
	./sign-efi-sig-list -c PK.crt -k PK.key PK $< $@

KEK.auth: KEK.esl PK.crt sign-efi-sig-list
	./sign-efi-sig-list -c PK.crt -k PK.key KEK $< $@

DB.auth: DB.esl KEK.crt sign-efi-sig-list
	./sign-efi-sig-list -c KEK.crt -k KEK.key db $< $@

hashlist.h: HashTool.hash
	cat $^ > /tmp/tmp.hash
	./xxdi.pl /tmp/tmp.hash > $@
	rm -f /tmp/tmp.hash


Loader.so: lib/lib-efi.a
ReadVars.so: lib/lib-efi.a lib/asn1/libasn1-efi.a
UpdateVars.so: lib/lib-efi.a
LockDown.so: lib/lib-efi.a
KeyTool.so: lib/lib-efi.a lib/asn1/libasn1-efi.a
HashTool.so: lib/lib-efi.a
PreLoader.so: lib/lib-efi.a
HelloWorld.so: lib/lib-efi.a

cert-to-efi-sig-list: cert-to-efi-sig-list.o lib/lib.a
	$(CC) -o $@ $< -lcrypto lib/lib.a

sig-list-to-certs: sig-list-to-certs.o lib/lib.a
	$(CC) -o $@ $< -lcrypto lib/lib.a

sign-efi-sig-list: sign-efi-sig-list.o lib/lib.a
	$(CC) -o $@ $< -lcrypto lib/lib.a

hash-to-efi-sig-list: hash-to-efi-sig-list.o lib/lib.a
	$(CC) -o $@ $< lib/lib.a

efi-keytool: efi-keytool.o lib/lib.a
	$(CC) -o $@ $< lib/lib.a

efi-readvar: efi-readvar.o lib/lib.a
	$(CC) -o $@ $< -lcrypto lib/lib.a

efi-updatevar: efi-updatevar.o lib/lib.a
	$(CC) -o $@ $< -lcrypto lib/lib.a

clean:
	rm -f PK.* KEK.* DB.* $(EFIFILES) $(EFISIGNED) $(BINARIES) *.o *.so
	rm -f doc/*.1
	$(MAKE) -C lib clean

FORCE:

=== lib/Makefile ===
FILES = simple_file.o pecoff.o guid.o sha256.o console.o \
	security_policy.o execute.o configtable.o shell.o
LIBFILES = $(FILES) kernel_efivars.o
EFILIBFILES = $(patsubst %.o,%.efi.o,$(FILES)) variables.o 

include ../Make.rules

lib.a: $(LIBFILES)
lib-efi.a: $(EFILIBFILES)

clean:
	rm -f lib.a
	rm -f $(LIBFILES)

## efitools 1.4.2

=== debian/changelog ===
efitools (1.4.2-2) unstable; urgency=medium

  * Add missing build-depends (Closes: #822262)
  * Fix typo in README.debian
  * Add missing license information for include/* and xxdi.pl
  * Bump Standards Version to 3.9.8

 -- Pierre Chifflier <pollux@debian.org>  Tue, 26 Apr 2016 10:21:38 +0200

efitools (1.4.2-1) unstable; urgency=low

  * Initial release (Closes: #702255)

 -- Pierre Chifflier <pollux@debian.org>  Tue, 19 Apr 2016 08:32:13 +0100

=== debian/control ===
Source: efitools
Section: admin
Priority: optional
Maintainer: Pierre Chifflier <pollux@debian.org>
Build-Depends: debhelper (>= 9.0.0),
    libfile-slurp-perl,
    help2man,
    libssl-dev,
    openssl,
    gnu-efi,
    sbsigntool
Standards-Version: 3.9.8
Homepage: http://blog.hansenpartnership.com/uefi-secure-boot/
#Vcs-Git: git://git.debian.org/collab-maint/efitools.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/efitools.git;a=summary

Package: efitools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, sbsigntool
Description: Tools to manipulate EFI secure boot keys and signatures
 This package installs a variety of tools for manipulating keys and binary
 signatures on UEFI secure boot platforms.
 The tools provide access to the keys and certificates stored in the
 secure variables of the UEFI firmware, usually in the NVRAM area.

## efitools 1.4.2+git20140118

=== debian/changelog ===
efitools (1.4.2+git20140118-0ubuntu2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 07 Feb 2018 11:35:23 +0000

efitools (1.4.2+git20140118-0ubuntu1) trusty; urgency=low

  * Initial release into Ubuntu.
    - Feature Freeze Exception: LP #1299594.

 -- Jonathan Davies <jonathan.davies@canonical.com>  Sat, 29 Mar 2014 18:55:36 +0000

## efitools 1.8.1

=== Makefile ===
EFIFILES = HelloWorld.efi LockDown.efi Loader.efi ReadVars.efi UpdateVars.efi \
	KeyTool.efi HashTool.efi SetNull.efi ShimReplace.efi
BINARIES = cert-to-efi-sig-list sig-list-to-certs sign-efi-sig-list \
	hash-to-efi-sig-list efi-readvar efi-updatevar cert-to-efi-hash-list \
	flash-var

ifeq ($(ARCH),x86_64)
EFIFILES += PreLoader.efi
endif

MSGUID = 77FA9ABD-0359-4D32-BD60-28F4E78F784B

KEYS = PK KEK DB
EXTRAKEYS = DB1 DB2
EXTERNALKEYS = ms-uefi ms-kek

ALLKEYS = $(KEYS) $(EXTRAKEYS) $(EXTERNALKEYS)

KEYAUTH = $(ALLKEYS:=.auth)
KEYUPDATEAUTH = $(ALLKEYS:=-update.auth) $(ALLKEYS:=-pkupdate.auth)
KEYBLACKLISTAUTH = $(ALLKEYS:=-blacklist.auth)
KEYHASHBLACKLISTAUTH = $(ALLKEYS:=-hash-blacklist.auth)

export TOPDIR	:= $(shell pwd)/

include Make.rules

EFISIGNED = $(patsubst %.efi,%-signed.efi,$(EFIFILES))

all: $(EFISIGNED) $(BINARIES) $(MANPAGES) noPK.auth $(KEYAUTH) \
	$(KEYUPDATEAUTH) $(KEYBLACKLISTAUTH) $(KEYHASHBLACKLISTAUTH)


install: all
	$(INSTALL) -m 755 -d $(MANDIR)
	$(INSTALL) -m 644 $(MANPAGES) $(MANDIR)
	$(INSTALL) -m 755 -d $(EFIDIR)
	$(INSTALL) -m 755 $(EFIFILES) $(EFIDIR)
	$(INSTALL) -m 755 -d $(BINDIR)
	$(INSTALL) -m 755 $(BINARIES) $(BINDIR)
	$(INSTALL) -m 755 mkusb.sh $(BINDIR)/efitool-mkusb
	$(INSTALL) -m 755 -d $(DOCDIR)
	$(INSTALL) -m 644 README COPYING $(DOCDIR)

lib/lib.a lib/lib-efi.a: FORCE
	$(MAKE) -C lib $(notdir $@)

lib/asn1/libasn1.a lib/asn1/libasn1-efi.a: FORCE
	$(MAKE) -C lib/asn1 $(notdir $@)

.SUFFIXES: .crt

.KEEP: PK.crt KEK.crt DB.crt PK.key KEK.key DB.key PK.esl DB.esl KEK.esl \
	$(EFIFILES)

LockDown.o: PK.h KEK.h DB.h
PreLoader.o: hashlist.h

PK.h: PK.auth

KEK.h: KEK.auth

DB.h: DB.auth

noPK.esl:
	> noPK.esl

noPK.auth: noPK.esl PK.crt sign-efi-sig-list
	./sign-efi-sig-list -t "$(shell date --date='1 second' +'%Y-%m-%d %H:%M:%S')" -c PK.crt -k PK.key PK $< $@

ms-%.esl: ms-%.crt cert-to-efi-sig-list
	./cert-to-efi-sig-list -g $(MSGUID) $< $@

hashlist.h: HashTool.hash
	cat $^ > /tmp/tmp.hash
	./xxdi.pl /tmp/tmp.hash > $@
	rm -f /tmp/tmp.hash


Loader.so: lib/lib-efi.a
ReadVars.so: lib/lib-efi.a lib/asn1/libasn1-efi.a
UpdateVars.so: lib/lib-efi.a
LockDown.so: lib/lib-efi.a
KeyTool.so: lib/lib-efi.a lib/asn1/libasn1-efi.a
HashTool.so: lib/lib-efi.a
PreLoader.so: lib/lib-efi.a
HelloWorld.so: lib/lib-efi.a
ShimReplace.so: lib/lib-efi.a

cert-to-efi-sig-list: cert-to-efi-sig-list.o lib/lib.a
	$(CC) $(ARCH3264) -o $@ $< -lcrypto lib/lib.a

sig-list-to-certs: sig-list-to-certs.o lib/lib.a
	$(CC) $(ARCH3264) -o $@ $< -lcrypto lib/lib.a

sign-efi-sig-list: sign-efi-sig-list.o lib/lib.a
	$(CC) $(ARCH3264) -o $@ $< -lcrypto lib/lib.a

hash-to-efi-sig-list: hash-to-efi-sig-list.o lib/lib.a
	$(CC) $(ARCH3264) -o $@ $< lib/lib.a

cert-to-efi-hash-list: cert-to-efi-hash-list.o lib/lib.a
	$(CC) $(ARCH3264) -o $@ $< -lcrypto lib/lib.a

efi-keytool: efi-keytool.o lib/lib.a
	$(CC) $(ARCH3264) -o $@ $< lib/lib.a

efi-readvar: efi-readvar.o lib/lib.a
	$(CC) $(ARCH3264) -o $@ $< -lcrypto lib/lib.a

efi-updatevar: efi-updatevar.o lib/lib.a
	$(CC) $(ARCH3264) -o $@ $< -lcrypto lib/lib.a

flash-var: flash-var.o lib/lib.a
	$(CC) $(ARCH3264) -o $@ $< lib/lib.a

clean:
	rm -f PK.* KEK.* DB.* $(EFIFILES) $(EFISIGNED) $(BINARIES) *.o *.so
	rm -f noPK.*
	rm -f doc/*.1
	$(MAKE) -C lib clean
	$(MAKE) -C lib/asn1 clean

FORCE:

=== lib/Makefile ===
FILES = simple_file.o pecoff.o guid.o sha256.o console.o \
	execute.o configtable.o shell.o security_policy.o \
	shim_protocol.o pkcs7verify.o

LIBFILES = $(FILES) kernel_efivars.o
EFILIBFILES = $(patsubst %.o,%.efi.o,$(FILES)) variables.o 

include ../Make.rules

lib.a: $(LIBFILES)
lib-efi.a: $(EFILIBFILES)

clean:
	rm -f lib.a
	rm -f lib-efi.a
	rm -f $(LIBFILES)
	rm -f $(EFILIBFILES)

=== debian/changelog ===
efitools (1.8.1-1) unstable; urgency=medium

  * Package salvaged (Closes: #912306)
  * New upstream release (Closes: #823751, #900889)
  * Remove makefiles-clean patch, applied upstream
  * Update makefile-enable-harden-local-files patch

 -- Arnaud Rebillout <arnaud.rebillout@collabora.com>  Fri, 01 Jun 2018 16:10:50 +0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: efitools
 Section: admin
 Priority: optional
-Maintainer: Pierre Chifflier <pollux@debian.org>
+Maintainer: Debian UEFI Maintainers <debian-efi@lists.debian.org>
+Uploaders: Arnaud Rebillout <arnaud.rebillout@collabora.com>
 Build-Depends: debhelper (>= 9.0.0),
     libfile-slurp-perl,
     help2man,
@@ -11,8 +12,8 @@
     sbsigntool
 Standards-Version: 3.9.8
 Homepage: http://blog.hansenpartnership.com/uefi-secure-boot/
-#Vcs-Git: git://git.debian.org/collab-maint/efitools.git
-#Vcs-Browser: http://git.debian.org/?p=collab-maint/efitools.git;a=summary
+Vcs-Git: https://salsa.debian.org/efi-team/efitools.git
+Vcs-Browser: https://salsa.debian.org/efi-team/efitools
 
 Package: efitools
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

override_dh_auto_install:
	dh_auto_install -- EFIDIR="debian/efitools/usr/lib/efitools/${DEB_TARGET_MULTIARCH}"

%:
	dh $@

## efitools 1.9.2

=== Makefile ===
--- 
+++ 
@@ -88,28 +88,28 @@
 ShimReplace.so: lib/lib-efi.a
 
 cert-to-efi-sig-list: cert-to-efi-sig-list.o lib/lib.a
-	$(CC) $(ARCH3264) -o $@ $< -lcrypto lib/lib.a
+	$(CC) $(ARCH3264) -o $@ $< lib/lib.a -lcrypto
 
 sig-list-to-certs: sig-list-to-certs.o lib/lib.a
-	$(CC) $(ARCH3264) -o $@ $< -lcrypto lib/lib.a
+	$(CC) $(ARCH3264) -o $@ $< lib/lib.a -lcrypto
 
 sign-efi-sig-list: sign-efi-sig-list.o lib/lib.a
-	$(CC) $(ARCH3264) -o $@ $< -lcrypto lib/lib.a
+	$(CC) $(ARCH3264) -o $@ $< lib/lib.a -lcrypto
 
 hash-to-efi-sig-list: hash-to-efi-sig-list.o lib/lib.a
 	$(CC) $(ARCH3264) -o $@ $< lib/lib.a
 
 cert-to-efi-hash-list: cert-to-efi-hash-list.o lib/lib.a
-	$(CC) $(ARCH3264) -o $@ $< -lcrypto lib/lib.a
+	$(CC) $(ARCH3264) -o $@ $< lib/lib.a -lcrypto
 
 efi-keytool: efi-keytool.o lib/lib.a
 	$(CC) $(ARCH3264) -o $@ $< lib/lib.a
 
 efi-readvar: efi-readvar.o lib/lib.a
-	$(CC) $(ARCH3264) -o $@ $< -lcrypto lib/lib.a
+	$(CC) $(ARCH3264) -o $@ $< lib/lib.a -lcrypto
 
 efi-updatevar: efi-updatevar.o lib/lib.a
-	$(CC) $(ARCH3264) -o $@ $< -lcrypto lib/lib.a
+	$(CC) $(ARCH3264) -o $@ $< lib/lib.a -lcrypto
 
 flash-var: flash-var.o lib/lib.a
 	$(CC) $(ARCH3264) -o $@ $< lib/lib.a

=== lib/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 	execute.o configtable.o shell.o security_policy.o \
 	shim_protocol.o pkcs7verify.o
 
-LIBFILES = $(FILES) kernel_efivars.o
+LIBFILES = $(FILES) kernel_efivars.o openssl_sign.o
 EFILIBFILES = $(patsubst %.o,%.efi.o,$(FILES)) variables.o 
 
 include ../Make.rules

=== lib/asn1/Makefile ===
LIBFILES = asn1.o asn1_parser.o enumerator.o chunk.o oid.o identification.o \
	x509.o
EFILIBFILES = $(patsubst %.o,%.efi.o,$(LIBFILES))

include ../../Make.rules

libasn1.a: $(LIBFILES)
libasn1-efi.a: $(EFILIBFILES)

test.o: test.c ../../include/x509.h
	$(CC) $(ARCH3264) -I../../include -c -o $@ $<

test: test.o libasn1.a
	$(CC) $(ARCH3264) -o $@ $< libasn1.a

clean:
	rm -f libasn1.a
	rm -f libasn1-efi.a
	rm -f test test.o
	rm -f $(LIBFILES)
	rm -f $(EFILIBFILES)

=== debian/changelog ===
efitools (1.9.2-5) unstable; urgency=medium

  * Team upload.
  * Adapt no-efi patch to riscv64.

 -- Bastian Germann <bage@debian.org>  Wed, 04 Feb 2026 11:49:32 +0100

efitools (1.9.2-4) unstable; urgency=medium

  * Team upload.

  [ Helmut Grohne ]
  * Support building with a multiarch gnu-efi. (Closes: #1125740)

 -- Bastian Germann <bage@debian.org>  Sun, 18 Jan 2026 01:25:53 +0100

efitools (1.9.2-3.7) unstable; urgency=medium

  * Non-maintainer upload.
  * Use objcopy --output-target instead of --target. (Closes: #1122408)

 -- Bastian Germann <bage@debian.org>  Mon, 05 Jan 2026 22:55:31 +0100

efitools (1.9.2-3.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 15 (Closes: #1114096)

 -- Luca Boccassi <bluca@debian.org>  Wed, 24 Sep 2025 00:07:00 +0100

efitools (1.9.2-3.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable efi binaries on aarch64

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Mar 2025 13:31:13 +0100

efitools (1.9.2-3.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Actually add the patch to disable stack-protector flags.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Mar 2025 15:41:10 +0100

efitools (1.9.2-3.3) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Non-maintainer upload.
  * Tweak Yves patch to actually elide fix-ftbfs-lp2083030.patch
  * Add patch to force no-stack-protector, fixing build failure where it is
    enabled

  [ Yves-Alexis Perez <corsac@debian.org> ]
  * revert not building files (Closes: #1069410)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Mar 2025 21:35:47 +0100

efitools (1.9.2-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Import patches from Ubuntu to fix FTBFS. (Closes: #1069410)

 -- Luca Boccassi <bluca@debian.org>  Mon, 24 Feb 2025 22:19:32 +0000

efitools (1.9.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  [ zhangdandan <zhangdandan@loongson.cn> ]
  * Add build support for loongarch64 (Closes: #1069141

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Sep 2024 16:09:33 +0200

efitools (1.9.2-3) unstable; urgency=medium

  [ Bo YU ]
  * Add patch to allow building on riscv64. Closes: #1012849

  * Team upload

 -- Steve McIntyre <93sam@debian.org>  Fri, 17 Jun 2022 00:53:21 +0100

efitools (1.9.2-2) unstable; urgency=medium

  [ Steve McIntyre ]
  * Fix occasional FTBFS due to incorrect dependency.
    Closes: #1010996. Thanks to Adrian Bunk for the patch!

  * Team upload

 -- Steve McIntyre <93sam@debian.org>  Tue, 24 May 2022 18:44:35 +0000

efitools (1.9.2-1) unstable; urgency=medium

  [ Luca Boccassi ]
  * Merge tag 'v1.9.2' into debian. (Closes: #920014)
  * Refresh patch to remove fuzz from 1.9.2.

  [ Steve McIntyre ]
  * Take several fixes from the "Debian Janitor"
    + Trim trailing whitespace in debian/rules
    + Use secure copyright file specification URI.
    + Bump debhelper from old 9 to 12.
    + Update Standards-Version to 4.4.1
  * Team upload

 -- Steve McIntyre <93sam@debian.org>  Mon, 23 Dec 2019 18:39:27 +0000

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Section: admin
 Priority: optional
 Maintainer: Debian UEFI Maintainers <debian-efi@lists.debian.org>
-Uploaders: Arnaud Rebillout <arnaud.rebillout@collabora.com>
-Build-Depends: debhelper (>= 9.0.0),
+Uploaders: Arnaud Rebillout <arnaud.rebillout@collabora.com>, Steve McIntyre <93sam@debian.org>
+Build-Depends: debhelper-compat (= 12),
     libfile-slurp-perl,
     help2man,
     libssl-dev,
     openssl,
     gnu-efi,
-    sbsigntool
-Standards-Version: 3.9.8
+    sbsigntool,
+    pkgconf,
+Standards-Version: 4.4.1
 Homepage: http://blog.hansenpartnership.com/uefi-secure-boot/
 Vcs-Git: https://salsa.debian.org/efi-team/efitools.git
 Vcs-Browser: https://salsa.debian.org/efi-team/efitools

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildtools.mk

ifeq ($(DEB_HOST_ARCH_CPU),i386))
ARCH=ia32
else
ARCH=$(DEB_HOST_GNU_CPU)
endif

override_dh_auto_build:
	dh_auto_build -- ARCH=$(ARCH) LD=$(LD) OBJCOPY=$(OBJCOPY)

override_dh_auto_install:
	dh_auto_install -- EFIDIR="debian/efitools/usr/lib/efitools/${DEB_TARGET_MULTIARCH}"

%:
	dh $@
